## python-globus-sdk 3.54.0

=== Makefile ===
SDK_VERSION=$(shell grep '^__version__' src/globus_sdk/version.py | cut -d '"' -f2)

# these are just tox invocations wrapped nicely for convenience
.PHONY: lint test docs all-checks
lint:
	tox -e lint,mypy,mypy-test,pylint
test:
	tox
docs:
	tox -e docs
all-checks:
	tox -e lint,pylint,mypy,mypy-test,test-lazy-imports,py37,py310,poetry-check,twine-check,docs

.PHONY: showvars tag-release prepare-release
showvars:
	@echo "SDK_VERSION=$(SDK_VERSION)"
prepare-release:
	tox -e prepare-release
tag-release:
	git tag -s "$(SDK_VERSION)" -m "v$(SDK_VERSION)"
	-git push $(shell git rev-parse --abbrev-ref @{push} | cut -d '/' -f1) refs/tags/$(SDK_VERSION)

.PHONY: clean
clean:
	rm -rf dist build *.egg-info .tox .venv
	find . -type d -name '__pycache__' -exec rm -r {} +

## python-globus-sdk 3.37.0

=== debian/changelog ===
python-globus-sdk (3.37.0-1) unstable; urgency=medium

  * New upstream version 3.37.0

 -- Étienne Mollier <emollier@debian.org>  Sun, 18 Feb 2024 12:20:30 +0100

python-globus-sdk (3.34.0-1) unstable; urgency=medium

  * New upstream version 3.34.0
  * d/control: pyproject depends on python3-setuptools.

 -- Étienne Mollier <emollier@debian.org>  Sun, 14 Jan 2024 12:05:25 +0100

python-globus-sdk (3.33.0-1) unstable; urgency=medium

  * New upstream version 3.33.0
  * d/control: tests depend on python3-flaky.
  * d/lintian-overrides: make override version independent.

 -- Étienne Mollier <emollier@debian.org>  Tue, 19 Dec 2023 11:44:54 +0100

python-globus-sdk (3.32.0-1) unstable; urgency=medium

  * Migration from experimental to unstable for source-only upload.
  * d/copyright: replace full Apache 2.0 text by link.
    Thanks to Thorsten Alteholz

 -- Étienne Mollier <emollier@debian.org>  Sat, 16 Dec 2023 20:02:03 +0100

python-globus-sdk (3.32.0-0+exp0) experimental; urgency=medium

  * Initial release.  (Closes: #1053257)

 -- Étienne Mollier <emollier@debian.org>  Thu, 23 Nov 2023 17:49:46 +0100

=== debian/control ===
Source: python-globus-sdk
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Étienne Mollier <emollier@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-setuptools,
               python3-all,
               python3-requests,
               python3-cryptography,
               python3-jwt,
               python3-pytest <!nocheck>,
               python3-flaky <!nocheck>,
               python3-responses <!nocheck>
Standards-Version: 4.6.2
Homepage: https://github.com/globus/globus-sdk-python
Vcs-Git: https://salsa.debian.org/python-team/packages/python-globus-sdk.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-globus-sdk
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: python3-globus-sdk
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: convenient Pythonic interface to Globus APIs
 The Globus SDK for Python provides a convenient Pythonic interface to Globus
 APIs.  Using this package, one can import Globus client classes and other
 helpers from the globus_sdk Python module.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=pybuild

override_dh_installdocs:
	dh_installdocs --exclude=changelog.rst\* --exclude=license.rst

## python-globus-sdk 3.41.0

=== debian/changelog ===
python-globus-sdk (3.41.0-1) unstable; urgency=medium

  * New upstream version 3.41.0
  * d/s/lintian-overrides: flag false positive source-is-missing.

 -- Étienne Mollier <emollier@debian.org>  Wed, 08 May 2024 22:21:15 +0200

python-globus-sdk (3.40.0-1) unstable; urgency=medium

  * New upstream version 3.40.0
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Fri, 19 Apr 2024 22:20:48 +0200

python-globus-sdk (3.39.0-1) unstable; urgency=medium

  * New upstream version 3.39.0

 -- Étienne Mollier <emollier@debian.org>  Sun, 10 Mar 2024 16:04:03 +0100

## python-globus-sdk 3.44.0

=== debian/changelog ===
python-globus-sdk (3.44.0-1) unstable; urgency=medium

  * New upstream version 3.44.0
  * d/**lintian-overrides: update path of local_server_landing_page.html.

 -- Étienne Mollier <emollier@debian.org>  Sun, 11 Aug 2024 19:57:48 +0200

python-globus-sdk (3.43.0-1) unstable; urgency=medium

  * New upstream version 3.43.0
  * d/s/lintian-overrides: flag momentaneous false positives.
  * d/lintian-overrides: flag false positive related to documentation.

 -- Étienne Mollier <emollier@debian.org>  Sun, 28 Jul 2024 15:02:37 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-pytest <!nocheck>,
                python3-flaky <!nocheck>,
                python3-responses <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/globus/globus-sdk-python
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-globus-sdk.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-globus-sdk

## python-globus-sdk 3.46.0

=== debian/changelog ===
python-globus-sdk (3.46.0-1) unstable; urgency=medium

  * New upstream version 3.46.0  (Closes: #1082219)
  * d/lintian-overrides: update html template path.
  * d/s/lintian-overrides: delete: all overrides went sorted.

 -- Étienne Mollier <emollier@debian.org>  Wed, 23 Oct 2024 00:00:00 +0200

python-globus-sdk (3.45.0-1) unstable; urgency=medium

  * New upstream version 3.45.0
  * d/s/lintian-overrides: remove former false positive.

 -- Étienne Mollier <emollier@debian.org>  Sun, 08 Sep 2024 22:06:21 +0200

## python-globus-sdk 3.49.0

=== debian/changelog ===
python-globus-sdk (3.49.0-1) unstable; urgency=medium

  * New upstream version 3.49.0

 -- Étienne Mollier <emollier@debian.org>  Wed, 18 Dec 2024 11:22:49 +0100

python-globus-sdk (3.48.0-1) unstable; urgency=medium

  * New upstream version 3.48.0
  * d/salsa-ci.yml: introduce dedicated file.
    The CI was initially configured straight in Salsa configuration.
    Dedicated file makes it clearer where to configure additional bits.

 -- Étienne Mollier <emollier@debian.org>  Sat, 30 Nov 2024 18:20:41 +0100

python-globus-sdk (3.47.0-1) unstable; urgency=medium

  * New upstream version 3.47.0

 -- Étienne Mollier <emollier@debian.org>  Tue, 12 Nov 2024 22:07:50 +0100

## python-globus-sdk 3.50.0

=== debian/changelog ===
python-globus-sdk (3.50.0-1) unstable; urgency=medium

  * New upstream version 3.50.0
  * d/control: declare compliance to standards version 4.7.1.

 -- Étienne Mollier <emollier@debian.org>  Tue, 25 Feb 2025 21:12:08 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-pytest <!nocheck>,
                python3-flaky <!nocheck>,
                python3-responses <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://github.com/globus/globus-sdk-python
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-globus-sdk.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-globus-sdk

## python-globus-sdk 3.51.0

=== debian/changelog ===
python-globus-sdk (3.51.0-1) unstable; urgency=medium

  * New upstream version 3.51.0
  * d/rules: skip flaky, time critical test on riscv64.
  * d/control: declare compliance to standards version 4.7.2.

 -- Étienne Mollier <emollier@debian.org>  Mon, 10 Mar 2025 20:26:49 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,12 @@
 #!/usr/bin/make -f
+
+# Skip time critical test on riscv64 due to being too slow.
+include /usr/share/dpkg/architecture.mk
+ifeq ($(DEB_HOST_ARCH),riscv64)
+export PYBUILD_TEST_ARGS = \
+        -k 'not test_scope_parsing_catches_and_rejects_very_large_cycles_quickly'
+endif
+
 %:
 	dh $@ --buildsystem=pybuild

## python-globus-sdk 3.54.0

=== debian/changelog ===
python-globus-sdk (3.54.0-1) unstable; urgency=medium

  * New upstream version 3.54.0
  * d/lrc.config; new: flag lrc mismatch on pyproject.toml.

 -- Étienne Mollier <emollier@debian.org>  Thu, 03 Apr 2025 21:38:26 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-pytest <!nocheck>,
                python3-flaky <!nocheck>,
                python3-responses <!nocheck>
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/globus/globus-sdk-python
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-globus-sdk.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-globus-sdk

=== debian/watch ===
version=4
opts="mode=git, dversionmangle=auto" \
https://github.com/globus/globus-sdk-python.git \
refs/tags/v?([\d\.\d]+)

## python-globus-sdk 4.0.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-SDK_VERSION=$(shell grep '^__version__' src/globus_sdk/version.py | cut -d '"' -f2)
+SDK_VERSION=$(shell grep '^version' pyproject.toml | head -n 1 | cut -d '"' -f2)
 
 # these are just tox invocations wrapped nicely for convenience
 .PHONY: lint test docs all-checks

=== debian/changelog ===
python-globus-sdk (4.0.0-1) unstable; urgency=medium

  * New upstream version 4.0.0
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/watch: convert to v5 Github template.

 -- Étienne Mollier <emollier@debian.org>  Wed, 08 Oct 2025 21:59:23 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
 Homepage: https://github.com/globus/globus-sdk-python
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-globus-sdk.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-globus-sdk
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-globus-sdk

=== debian/watch ===
Version: 5

Template: Github
Owner: globus
Project: globus-sdk-python
Uversion-Mangle: s/([ab])/~$1/

## python-globus-sdk 4.1.0

=== debian/changelog ===
python-globus-sdk (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0

 -- Étienne Mollier <emollier@debian.org>  Mon, 24 Nov 2025 22:16:26 +0100

## python-globus-sdk 4.3.0

=== debian/changelog ===
python-globus-sdk (4.3.0-1) unstable; urgency=medium

  * New upstream version 4.3.0  (Closes: #1123247)

 -- Étienne Mollier <emollier@debian.org>  Fri, 19 Dec 2025 19:53:18 +0100

## python-globus-sdk 4.3.1

=== Makefile ===
--- 
+++ 
@@ -20,6 +20,11 @@
 	git tag -s "$(SDK_VERSION)" -m "v$(SDK_VERSION)"
 	-git push $(shell git rev-parse --abbrev-ref @{push} | cut -d '/' -f1) refs/tags/$(SDK_VERSION)
 
+.PHONY: install
+install:
+	python -m venv .venv --upgrade-deps
+	.venv/bin/pip install -e . --group test
+
 .PHONY: clean
 clean:
 	rm -rf dist build *.egg-info .tox .venv

=== debian/changelog ===
python-globus-sdk (4.3.1-1) unstable; urgency=medium

  * New upstream version 4.3.1
  * d/control: drop redundant Priority: optional.
  * d/control: declare compliance to standards version 4.7.3.

 -- Étienne Mollier <emollier@debian.org>  Tue, 27 Jan 2026 21:26:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Étienne Mollier <emollier@debian.org>
 Section: python
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                pybuild-plugin-pyproject,
@@ -14,7 +13,7 @@
                python3-pytest <!nocheck>,
                python3-flaky <!nocheck>,
                python3-responses <!nocheck>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/globus/globus-sdk-python
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-globus-sdk.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-globus-sdk
